﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using System.Windows.Data;
using Telerik.Windows.Controls;
using Telerik.Windows.Controls.GridView;

namespace SilverlightApplication1
{
    public partial class MainPage : UserControl
    {
        public MainPage()
        {
            InitializeComponent();

            DataContext = (from i in Enumerable.Range(0, 100)
                           select new MyObject() { ID = i, Link = "joe@company.com" }).ToList();

            RadGridView1.AutoGenerateColumns = false;

            RadGridView1.Columns.Add(new GridViewDynamicHyperlinkColumn()
            {
                DataMemberBinding = new Binding("Link"),
                NavigateUrlMemberPaths = "Link",
                NavigateUrlFormatString = "mailto:{0}"
            });
        }
    }


    public class MyObject
    {
        public int ID { get; set; }
        public string Link { get; set; }
    }
}
